version: "3.0"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"


services:
  ddclient:
    image: linuxserver/ddclient:{{ ddclient_version }}
    restart: unless-stopped
    environment:
      - PUID=1000
      - PGID=1000
      - TZ={{ timezone }}
    volumes:
      - ./config:/config
    logging: *default-logging
